Instalar paquetes RPM con Alien. Convertir de .rpm a .deb

Si disponemos de un paquete en formato .rpm y no sabemos como instalarlo, y no encontramos el correspondiente .deb en nuestros repositorios de Ubuntu, disponemos de una herramienta la cual nos puede facilitar la instalación del fichero .rpm. Estamos hablando de Alien.

Básicamente, Alien, es un programa que convierte paquetes entre los formatos rpm, dpkg, slp y tgz. Si disponemos de un de estos tipos de paquetes, podemos hacer la conversión sin problemas a alguno de los demás formatos facilitando la instalación en la distribución Linux según nos encontremos.

Instalando Alien

Empezaremos instalando dicha aplicación. Para ello primeramente deberemos tener activados los repositorios Universe. Tras ello abriremos un terminal y teclearemos:

$ sudo apt-get update
$ sudo apt-get install alien

Una vez terminado, ya podemos proceder a convertir el fichero rpm.

Convertir de RPM a DEB

Primeramente debemos disponer del paquete .rpm descargado en nuestro sistema, abriremos un terminal y nos situaremos en el directorio en el cual tenemos dicho paquete. una vez allí teclearemos lo siguiente:

$ sudo alien -k nombre_del_fichero.rpm

Esta acción convertira el fichero .rpm en .deb, pudiendo ahora instalarlo en nuestro sistema como cualquier otro paquete .deb tecleando lo siguiente:

$ sudo dpkg -i nombre_del_fichero.deb

Ello instalará el paquete sin mas problemas y ya tendremos resuelto nuestros problemas de instalación con los paquetes rpm.

About these ads

15 comentarios to “Instalar paquetes RPM con Alien. Convertir de .rpm a .deb”

  1. Mariano Says:

    No entiendo nada de linux, soy nuevo

  2. cristiansan Says:

    Hola Mariano,

    Quizás seria recomendable que empezarás probando con una distribución como Ubuntu y te descargarás algun manual para empezar.

    Con ubuntu, el funcionamiento básico no te será nada dificil, pues es instintivo como Windows. Este Post sirve para convertir paquetes de software en rpm por ejemplo (distribuciones como la de RedHat) para distribuciones Debian y Ubuntu, así como todas aquellas basadas en Debian.

    un saludo!

  3. facu.zeta Says:

    Gracias!

  4. MIGUEL URIBE Says:

    GRACIAS POR EL TUTORIAL, ME FUE MUY ÚTIL, PORQUE NO SABIA COMO CONVERTIRLOS Y HABÍA TENIDO PROBLEMAS CON ESOS ARCHIVOS, NUEVAMENTE GRACIAS.

    MIGUELUR.

  5. Tere Says:

    Gracias, tienes razón yo estoy empezando con Ubuntu. Nuevamente GRACIAS

  6. Gamaliel Says:

    muchas gracias !!!!!
    necesitaba instalar los drivers de mi impresor canon ip 1000 y estos solo
    estaban disponibles en rpm !! los converti e instale en .deb pero aun
    tengo un pequeño problema con el paquete ” pstocanonbj” que lo requiere
    al configurar la impresora , bueno soy nuevo en ubuntu agradeceria de su ayuda!!!!!

  7. enriqueto Says:

    Espectacular tu aporte! funcionó perfecto para el bochs con debugger que tanto cuesta conseguir en debian. Muchas gracias!

  8. Daniel Says:

    Muy buena herramienta me fue de mucha ayuda. Muchas gracias!!!

  9. Otto Says:

    SALUDOS,

    Tengo un problema…. pues si entiendo lo que has posteado pero en a la hora de la hora no se me crea el paquete deb…es mas… se crea una carpeta con candado(extraida) del paquete….. entonces…la pregunta del millón…seria que hacer?

    Te agradecria mucho si me peudes dar algun empujon….

    Gracias

  10. Roberto Says:

    Muchas gracias. Acabo de seguir los pasos para convertir el paquete *.rpm del nuevo NMAP 5.50 a *.deb y me ha funcionado sin problemas.
    Muchas gracias.

  11. lore Says:

    Hola!

    Ayuda! Soy nueva en linux y estoy usando Guadalinex. Intenté seguir tus instrucciones pero me salieron estos avisos:

    Warning: Skipping conversion of scripts in package AdobeReader_esp: postinst postrm prerm
    Warning: Use the –scripts parameter to include the scripts.

    ¿Qué hago?

  12. luishum Says:

    hola, me gustaria saber como hacer esto:

    “abriremos un terminal y nos situaremos en el directorio en el cual tenemos dicho paquete”

  13. ErunamoJAZZ Says:

    Cuando sale el error ese del script, pues hay que hacerle caso y poner ese parametro (la versión corta de –scripts es -c )

    # alien -d -c paquete.rpm

    ——

    Para navegar por las carpetas mediante “cd nombre_carpeta”. Se puede usar la tecla tabulador para autocompletar los nombres muy largos.

  14. angie Says:

    Disculpen , me sale error linea 168 al convertir un paquete , tengo un paquete de unos 120MB , No se si igual lo puede convertir? , por q me sale ese error. Gracias

  15. Lenin Gonzalez Says:

    Muchas gracias porque pude convertir el projectLibre de rpm a deb para después instalarlo en mi linux canaima. Bendiciones…

Deja un comentario

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s


Seguir

Recibe cada nueva publicación en tu buzón de correo electrónico.

%d personas les gusta esto: